#language: ru

@logistic

Функционал: 018. Logistic. Инвентаризация на складе без ячеек

Сценарий: 018.1. Logistic. Создание оприходования товаров для склада без ячеек (проверка работы кнопок)
	
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Оприходования товаров'
	Тогда открылось окно 'Оприходования товаров'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Оприходование товаров (создание)'
	И в поле 'от' я ввожу текст '21.11.2020  0:00:00'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырная ГП'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Оприходование товаров (создание) *'
	Тогда элемент формы с именем "Склад" стал равен 'Сырная ГП'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	Тогда элемент формы с именем "Склад" стал равен 'Сырная ГП'
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	И в таблице "Товары" я добавляю строку
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество' я ввожу текст '20,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я перехожу к закладке "Дополнительно"
	И я нажимаю кнопку выбора у поля "Ответственный"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'    |
		| 'Администратор' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Оприходование товаров (создание) *'
	Тогда элемент формы с именем "Ответственный" стал равен 'Администратор'
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	Тогда элемент формы с именем "Ответственный" стал равен 'Администратор'
	И в поле 'Комментарий' я ввожу текст 'Оприходование на склад без ячеек'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Оприходование товаров * от *'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Оприходование товаров * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Оприходование товаров * от *' в течение 20 секунд
	Тогда открылось окно 'Оприходования товаров'
	* Проверка отборов на форме списка оприходований товаров
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '20.11.2020'
		И в поле 'DateEnd' я ввожу текст '20.11.2020'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Оприходования товаров'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '21.11.2020'
		И в поле 'DateEnd' я ввожу текст '21.11.2020'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Оприходования товаров'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                      |
			| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Оприходование на склад без ячеек' |
		И я нажимаю кнопку выбора у поля "Основание"
		Тогда открылось окно 'Инвентаризация'
		И Я закрываю окно 'Инвентаризация'
		Тогда открылось окно 'Оприходования товаров'
		И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                      |
			| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Оприходование на склад без ячеек' |
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                      |
			| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Оприходование на склад без ячеек' |
		И из выпадающего списка "Ответственный" я выбираю по строке 'Пользователь'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                      |
			| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Оприходование на склад без ячеек' |
		И я нажимаю кнопку очистить у поля "Ответственный"
		И я нажимаю кнопку очистить у поля "Номенклатура"
		И я нажимаю кнопку очистить у поля "Склад"
		И я нажимаю кнопку очистить у поля "Основание"
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И я нажимаю на кнопку 'Очистить период'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Оприходования товаров'
	И Я закрываю окно 'Оприходования товаров'

Сценарий: 018.2. Logistic. Создание оприходования товаров организации на основании оприходования для склада без ячеек
	
	Дано я удаляю объекты "Документы.к2ОприходованиеТоваровОрганизации" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Оприходования товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                      |
		| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Оприходование на склад без ячеек' |
	И я нажимаю на кнопку 'Оприходование товаров организации'
	Тогда открылось окно 'Оприходование товаров организации (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Вид цен" я выбираю по строке 'Цена для оприходования/списания'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| 'Количество' | 'Номенклатура' | 'Серия'                        | 'Характеристика'   |
		| '20,000'     | 'Сыр Сулугуни' | '000001 до 20.10.2019 0:00:00' | '<Без маркировки>' |
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Оприходование товаров организации (создание) *' в течение 20 секунд
	Тогда открылось окно 'Оприходования товаров'
	И Я закрываю окно 'Оприходования товаров'

Сценарий: 018.3. Logistic. Создание пересчета для склада без ячеек (проверка работы кнопок)

	Дано я удаляю объекты "Документы.к2Пересчет" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Пересчеты'
	Тогда открылось окно 'Пересчеты'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Пересчет (создание)'
	И в поле с именем 'Дата' я ввожу текст '21.11.2020  0:00:00'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырная ГП'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Пересчет (создание) *'
	Тогда элемент формы с именем "Склад" стал равен 'Сырная ГП'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	Тогда элемент формы с именем "Склад" стал равен 'Сырная ГП'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И я перехожу к закладке "Дополнительно"
	И я нажимаю кнопку выбора у поля "Ответственный"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'    |
		| 'Администратор' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Пересчет (создание) *'
	Тогда элемент формы с именем "Ответственный" стал равен 'Администратор'
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	Тогда элемент формы с именем "Ответственный" стал равен 'Администратор'
	И в поле 'Комментарий' я ввожу текст 'Пересчет для склада без ячеек'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Пересчет * от *'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Пересчет * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Пересчет * от *' в течение 20 секунд
	Тогда открылось окно 'Пересчеты'
	* Проверка отборов для формы списка пересчета
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '20.11.2020'
		И в поле 'DateEnd' я ввожу текст '20.11.2020'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Пересчеты'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '21.11.2020'
		И в поле 'DateEnd' я ввожу текст '21.11.2020'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Пересчеты'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                   |
			| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Пересчет для склада без ячеек' |
		И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                   |
			| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Пересчет для склада без ячеек' |
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                   |
			| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Пересчет для склада без ячеек' |
		И из выпадающего списка "Ответственный" я выбираю по строке 'Пользователь'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                   |
			| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Пересчет для склада без ячеек' |
		И я нажимаю кнопку очистить у поля "Ответственный"
		И я нажимаю кнопку очистить у поля "Номенклатура"
		И я нажимаю кнопку очистить у поля "Склад"
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И я нажимаю на кнопку 'Очистить период'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Пересчеты'
	И Я закрываю окно 'Пересчеты'

Сценарий: 018.4. Logistic. Инвентаризация на складе без ячеек: заполнение инвентаризации по учету и по пересчету (проверка отборов)

	Дано я удаляю объекты "Документы.к2Инвентаризация" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Инвентаризация'
	Тогда открылось окно 'Инвентаризация'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Инвентаризация (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'В работе'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыКомандаТоварыЗаполнитьПоУчету'
	Тогда таблица "Товары" стала равной:
		| 'Количество факт' | 'Номенклатура' | 'Количество учет' | 'Характеристика'   | 'Серия'                        | 'Количество разница' | 'Ед. изм.' | 'Ответственный' |
		| ''                | 'Сыр Сулугуни' | '20,000'          | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '-20,000'            | 'кг'       | ''              |
	И в таблице "Товары" я нажимаю на кнопку 'Заполнить по пересчету'
	Тогда открылось окно 'Пересчеты'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                   |
		| 'Пересчет для склада без ячеек' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	Тогда таблица "Товары" стала равной:
		| 'Количество факт' | 'Номенклатура' | 'Количество учет' | 'Характеристика'   | 'Серия'                        | 'Количество разница' | 'Ед. изм.' | 'Ответственный' |
		| '10,000'          | 'Сыр Сулугуни' | '20,000'          | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '-10,000'            | 'кг'       | 'Администратор' |
	И я перехожу к закладке "Дополнительно"
	И я нажимаю кнопку выбора у поля "Ответственный"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'    |
		| 'Администратор' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Инвентаризация (создание) *'
	Тогда элемент формы с именем "Ответственный" стал равен 'Администратор'
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	Тогда элемент формы с именем "Ответственный" стал равен 'Администратор'
	И в поле 'Комментарий' я ввожу текст 'Инвертаризация для склада без ячеек 1'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Инвентаризация * от *'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Инвентаризация * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Инвентаризация * от *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация'
	* Проверка отборов для формы списка инвентаризации
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '01.12.2020'
		И в поле 'DateEnd' я ввожу текст '01.12.2020'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Инвентаризация'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текущую дату
		И в поле 'DateEnd' я ввожу текущую дату
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Инвентаризация'
		Тогда таблица "Список" стала равной:
			| 'Статус'   | 'Ответственный' | 'Комментарий'                           | 'Склад'     |
			| 'В работе' | 'Администратор' | 'Инвертаризация для склада без ячеек 1' | 'Сырная ГП' |
		И из выпадающего списка "Статус" я выбираю точное значение 'Запланировано'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Статус" я выбираю точное значение 'В работе'
		Тогда таблица "Список" стала равной:
			| 'Статус'   | 'Ответственный' | 'Комментарий'                           | 'Склад'     |
			| 'В работе' | 'Администратор' | 'Инвертаризация для склада без ячеек 1' | 'Сырная ГП' |
		И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
		Тогда таблица "Список" стала равной:
			| 'Статус'   | 'Ответственный' | 'Комментарий'                           | 'Склад'     |
			| 'В работе' | 'Администратор' | 'Инвертаризация для склада без ячеек 1' | 'Сырная ГП' |
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
		Тогда таблица "Список" стала равной:
			| 'Статус'   | 'Ответственный' | 'Комментарий'                           | 'Склад'     |
			| 'В работе' | 'Администратор' | 'Инвертаризация для склада без ячеек 1' | 'Сырная ГП' |
		И из выпадающего списка "Ответственный" я выбираю по строке 'Пользователь'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
		Тогда таблица "Список" стала равной:
			| 'Статус'   | 'Ответственный' | 'Комментарий'                           | 'Склад'     |
			| 'В работе' | 'Администратор' | 'Инвертаризация для склада без ячеек 1' | 'Сырная ГП' |
		И я нажимаю кнопку очистить у поля "Ответственный"
		И я нажимаю кнопку очистить у поля "Номенклатура"
		И я нажимаю кнопку очистить у поля "Склад"
		И я нажимаю кнопку очистить у поля "Статус"
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И я нажимаю на кнопку 'Очистить период'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Инвентаризация'
	И Я закрываю окно 'Инвентаризация'

Сценарий: 018.5. Logistic. Создание на основании инвентаризации списания товаров для склада без ячеек

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Инвентаризация'
	Тогда открылось окно 'Инвентаризация'
	И в таблице "Список" я перехожу к строке:
		| 'Статус'   | 'Ответственный' | 'Комментарий'                           | 'Склад'     |
		| 'В работе' | 'Администратор' | 'Инвертаризация для склада без ячеек 1' | 'Сырная ГП' |
	И я нажимаю на кнопку 'Списание товаров'
	Тогда открылось окно 'Списание товаров (создание) *'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'Количество' | 'Ед.' |
		| 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '10,000'     | 'кг'  |
	И в таблице "Товары" я нажимаю на кнопку 'Перезаполнить по основанию'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Списание товаров (создание) *'
	Тогда таблица "Товары" стала равной:
		| 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'Количество' | 'Ед.' |
		| 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '10,000'     | 'кг'  |
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'Списание товаров для склада без ячеек'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Списание товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация'
	И Я закрываю окно 'Инвентаризация'

Сценарий: 018.6. Logistic. Создание на основании списания товаров - списания товаров организации для склада без ячеек

	Дано я удаляю объекты "Документы.к2СписаниеТоваровОрганизации" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Списания товаров'
	Тогда открылось окно 'Списания товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                           |
		| 'Списание товаров для склада без ячеек' |
	И я нажимаю на кнопку 'Списание товаров организации'
	Тогда открылось окно 'Списание товаров организации (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Вид цен" я выбираю по строке 'Цена для оприходования/списания'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| 'Количество' | 'Номенклатура' | 'Серия'                        | 'Характеристика'   |
		| '10,000'     | 'Сыр Сулугуни' | '000001 до 20.10.2019 0:00:00' | '<Без маркировки>' |
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Списание товаров организации (создание) *' в течение 20 секунд
	Тогда открылось окно 'Списания товаров'
	И Я закрываю окно 'Списания товаров'

Сценарий: 018.7. Logistic. Установка статуса Выполнено для инвентаризации 1 для склада без ячеек

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Инвентаризация'
	Тогда открылось окно 'Инвентаризация'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                           |
		| 'Инвертаризация для склада без ячеек 1' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Инвентаризация * от *'
	И из выпадающего списка "Статус" я выбираю точное значение 'Выполнено'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Инвентаризация * от * *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация'
	И Я закрываю окно 'Инвентаризация'

Сценарий: 018.8. Logistic. Инвентаризация на складе без ячеек: заполнение инвентаризации по учету, заполнение факта руками

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Инвентаризация'
	Тогда открылось окно 'Инвентаризация'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Инвентаризация (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'В работе'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыКомандаТоварыЗаполнитьПоУчету'
	Тогда таблица "Товары" стала равной:
		| 'Количество факт' | 'Номенклатура' | 'Количество учет' | 'Характеристика'   | 'Серия'                        | 'Количество разница' | 'Ед. изм.' | 'Ответственный' |
		| ''                | 'Сыр Сулугуни' | '10,000'          | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '-10,000'            | 'кг'       | ''              |
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура' | 'Серия'                        | 'Характеристика'   | 
		| 'Сыр Сулугуни' | '000001 до 20.10.2019 0:00:00' | '<Без маркировки>' | 
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоФакт' я ввожу текст '15,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество факт' | 'Номенклатура' | 'Количество учет' | 'Характеристика'   | 'Серия'                        | 'Количество разница' | 'Ед. изм.' | 'Ответственный' |
		| '15,000'          | 'Сыр Сулугуни' | '10,000'          | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '5,000'              | 'кг'       | 'Администратор' |
	И в поле 'Комментарий' я ввожу текст 'Инвертаризация для склада без ячеек 2'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Инвентаризация (создание) *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация'
	И Я закрываю окно 'Инвентаризация'

Сценарий: 018.9. Logistic. Создание на основании инвентаризации для склада без ячеек оприходования товаров

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Инвентаризация'
	Тогда открылось окно 'Инвентаризация'
	И в таблице "Список" я перехожу к строке:
		| 'Статус'   | 'Ответственный' | 'Комментарий'                           | 'Склад'     |
		| 'В работе' | 'Администратор' | 'Инвертаризация для склада без ячеек 2' | 'Сырная ГП' |
	И я нажимаю на кнопку 'Оприходование товаров'
	Тогда открылось окно 'Оприходование товаров (создание) *'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Серия'                        | 'Количество' | 'Ед.' |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '5,000'      | 'кг'  |
	И в таблице "Товары" я нажимаю на кнопку 'Перезаполнить по основанию'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда таблица "Товары" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Серия'                        | 'Количество' | 'Ед.' |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '5,000'      | 'кг'  |
	И в поле 'Комментарий' я ввожу текст 'Оприходование товаров для склада без ячеек'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Оприходование товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация'
	И Я закрываю окно 'Инвентаризация'

Сценарий: 018.10. Logistic. Создание на основании оприходования товаров - оприходования товаров организации для склада без ячеек

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Оприходования товаров'
	Тогда открылось окно 'Оприходования товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                |
		| 'Оприходование товаров для склада без ячеек' |
	И я нажимаю на кнопку 'Оприходование товаров организации'
	Тогда открылось окно 'Оприходование товаров организации (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Вид цен" я выбираю по строке 'Цена для оприходования/списания'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| 'Количество' | 'Номенклатура' | 'Серия'                        | 'Характеристика'   |
		| '5,000'     | 'Сыр Сулугуни'  | '000001 до 20.10.2019 0:00:00' | '<Без маркировки>' |
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Оприходование товаров организации (создание) *' в течение 20 секунд
	Тогда открылось окно 'Оприходования товаров'
	И Я закрываю окно 'Оприходования товаров'

Сценарий: 018.11. Logistic. Установка статуса Выполнено для инвентаризации 2 для склада без ячеек

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Инвентаризация'
	Тогда открылось окно 'Инвентаризация'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                           |
		| 'Инвертаризация для склада без ячеек 2' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Инвентаризация * от *'
	И из выпадающего списка "Статус" я выбираю точное значение 'Выполнено'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Инвентаризация * от * *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация'
	И Я закрываю окно 'Инвентаризация'

Сценарий: 018.12. Logistic. Создание списания товаров (проверка работы кнопок)

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Списания товаров'
	Тогда открылось окно 'Списания товаров'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Списание товаров (создание)'
	И в поле 'от' я ввожу текст '21.11.2020  0:00:00'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырная ГП'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Списание товаров (создание) *'
	Тогда элемент формы с именем "Склад" стал равен 'Сырная ГП'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	Тогда элемент формы с именем "Склад" стал равен 'Сырная ГП'
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	И в таблице "Товары" я добавляю строку
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество' я ввожу текст '20,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я перехожу к закладке "Дополнительно"
	И я нажимаю кнопку выбора у поля "Ответственный"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'    |
		| 'Администратор' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Списание товаров (создание) *'
	Тогда элемент формы с именем "Ответственный" стал равен 'Администратор'
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	Тогда элемент формы с именем "Ответственный" стал равен 'Администратор'
	И в поле 'Комментарий' я ввожу текст 'Списание со склада без ячеек'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Списание товаров * от *'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Списание товаров * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Списание товаров * от *' в течение 20 секунд
	Тогда открылось окно 'Списания товаров'
	* Проверка отборов на форме списка оприходований товаров
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '20.11.2020'
		И в поле 'DateEnd' я ввожу текст '20.11.2020'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Списания товаров'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И в поле 'DateBegin' я ввожу текст '21.11.2020'
		И в поле 'DateEnd' я ввожу текст '21.11.2020'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Списания товаров'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                  |
			| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Списание со склада без ячеек' |
		И я нажимаю кнопку выбора у поля "Основание"
		Тогда открылось окно 'Инвентаризация'
		И Я закрываю окно 'Инвентаризация'
		Тогда открылось окно 'Списания товаров'
		И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                  |
			| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Списание со склада без ячеек' |
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                  |
			| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Списание со склада без ячеек' |
		И из выпадающего списка "Ответственный" я выбираю по строке 'Пользователь'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Склад'     | 'Ответственный' | 'Комментарий'                  |
			| '21.11.2020' | 'Сырная ГП' | 'Администратор' | 'Списание со склада без ячеек' |
		И я нажимаю кнопку очистить у поля "Ответственный"
		И я нажимаю кнопку очистить у поля "Номенклатура"
		И я нажимаю кнопку очистить у поля "Склад"
		И я нажимаю кнопку очистить у поля "Основание"
		И я нажимаю на гиперссылку "Период"
		Тогда открылось окно 'Выберите период'
		И я нажимаю на кнопку 'Очистить период'
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Списания товаров'
	И Я закрываю окно 'Списания товаров'

Сценарий: 018.13. Logistic. Завершение

	И Я закрыл все окна клиентского приложения	